Skype for iPhone System Requirements

The Skype for iPhone system requirements make it easy to ensure you have everything you need to get connected and stay in touch.

  • iOS 8 or above.
  • This version works on iPhone 4, iPhone 4S, iPhone 5, iPhone 5C, iPhone 5S and iPod touch 5th Generation.
  • For users with iOS 5 or 6, Skype 4.17 for iPhone is available for download in the App Store.

For additional details on the Skype iPhone system requirements and other information about using Skype, visit the Help page.